diff -N -U 1 libxinevdec.orig/dshowserver.c libxinevdec/dshowserver.c
--- libxinevdec.orig/dshowserver.c	2008-07-29 20:31:40.000000000 +0000
+++ libxinevdec/dshowserver.c	2008-08-04 09:16:08.000000000 +0000
@@ -37,6 +37,6 @@
 
-#include "xine_internal.h"
-#include "video_out.h"
-#include "buffer.h"
-#include "xineutils.h"
+#include <xine/xine_internal.h>
+#include <xine/video_out.h>
+#include <xine/buffer.h>
+#include <xine/xineutils.h>
 
diff -N -U 1 libxinevdec.orig/Makefile libxinevdec/Makefile
--- libxinevdec.orig/Makefile	1970-01-01 00:00:00.000000000 +0000
+++ libxinevdec/Makefile	2008-07-08 18:51:18.000000000 +0000
@@ -0,0 +1,35 @@
+#
+# $Id: Makefile,v 1.22 2007/04/02 13:52:49 phintuka Exp $
+#
+
+XINEPLUGIN_SO = xineplug_decode_dshowserver.so
+
+INSTALL       ?= install
+XINEPLUGINDIR  = $(shell xine-config --plugindir)
+
+CFLAGS        ?= -O2 -pipe -Wall -fPIC -g
+CFLAGS        += $(shell xine-config --cflags)
+LIBS          += $(shell xine-config --libs)
+LDFLAGS       ?= -shared -fvisibility=hidden -g -fPIC
+
+CFLAGS += -DEXPORTED=__attribute__\(\(visibility\(\"default\"\)\)\)
+
+$(XINEPLUGIN_SO): dshowserver.o nal_parser.o
+	$(CC) $(LDFLAGS) $(LIBS) dshowserver.o nal_parser.o -o $@
+
+nal_parser.o: nal_parser.c nal_parser.h
+	$(CC) $(CFLAGS) -c nal_parser.c
+dshowserverr.o: dshowserver.c nal_parser.h
+	$(CC) $(CFLAGS) -c dshowserver.c
+
+all: $(XINEPLUGIN_SO)
+
+install: all
+	@echo Installing $(XINEPLUGINDIR)/$(XINEPLUGIN_SO)
+	@-rm -rf $(XINEPLUGINDIR)/$(XINEPLUGIN_SO)
+	@$(INSTALL) -D -m 0644 $(XINEPLUGIN_SO) $(XINEPLUGINDIR)/$(XINEPLUGIN_SO)
+
+clean:
+	@-rm -f $(XINEPLUGIN_SO) *.o
+
+.PHONY: all
diff -N -U 1 libxinevdec.orig/nal_parser.h libxinevdec/nal_parser.h
--- libxinevdec.orig/nal_parser.h	2008-07-29 20:31:40.000000000 +0000
+++ libxinevdec/nal_parser.h	2008-07-08 18:51:18.000000000 +0000
@@ -5,3 +5,3 @@
 
-#include "xine_internal.h"
+#include <xine/xine_internal.h>
 
